import sys

from TapisAPI import TapisAPI
from TapisAPI import HTTPError

exitStatus = 0

tapisAPI = TapisAPI()

appId = sys.argv[1]

try:
   deleteAppResponse = tapisAPI.apps.delete(appId=appId)
except HTTPError as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write("\n")
except Exception as err:
   exitStatus = 1
   sys.stderr.write(str(err))
   sys.stderr.write("\n")
else:
   if deleteAppResponse:
      print(deleteAppResponse)

sys.exit(exitStatus)
