import sys

from TapisAPI import TapisAPI

exitStatus = 0

tapisAPI = TapisAPI(authenticationMode='clientManager')

clientName = sys.argv[1]

try:
   response = tapisAPI.clients.delete(clientName=clientName)
except HTTPError as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write("\n")
except Exception as err:
   exitStatus = 1
   sys.stderr.write(str(err))
   sys.stderr.write("\n")
else:
   if response:
      print(response)

sys.exit(exitStatus)
