import sys
from pprint import pprint

from TapisAPI import TapisAPI
from TapisAPI import HTTPError

exitStatus = 0

tapisAPI = TapisAPI()

jobId = sys.argv[1]

try:
   job = tapisAPI.jobs.get(jobId=jobId)
except HTTPError as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write("\n")
except Exception as err:
   exitStatus = 1
   sys.stderr.write(str(err))
   sys.stderr.write("\n")
else:
   print("%-30s %-25s %-10s %-45s %s" % ("NAME","appID","STATUS","ID","Message"))
   print("==========================================================================================================================================================================================================")
   print("%-30s %-25s %-10s %-45s %s" % (job.name,job.appId,job.status,job.id,job.lastStatusMessage))
   pprint(job)

sys.exit(exitStatus)
