#!/bin/sh

if [ $# -ne 2 ] ; then
   echo usage: $0 localJobId instanceId
   exit 64
fi

localJobId=$1
instanceId=$2

binDirectory=$(dirname $(readlink -f $0))

export PYTHONPATH=/opt/submit:${PYTHONPATH}

python3 ${binDirectory}/getUserInstanceToken.py ${localJobId} ${instanceId}
exitStatus=$?

exit ${exitStatus}
