#!/bin/sh

if [ $# -ne 1 ] ; then
   echo usage: $0 instanceToken
   exit 64
fi

instanceToken=$1

binDirectory=$(dirname $(readlink -f $0))

export PYTHONPATH=/opt/submit:${PYTHONPATH}

python3 ${binDirectory}/getUserRemoteJobId.py ${instanceToken}
exitStatus=$?

exit ${exitStatus}
