import sys

from TapisAPI import TapisAPI
from TapisAPI import HTTPError

exitStatus = 0

tapisAPI = TapisAPI()

# directory is relative path from storage system "root" directory
storageSystem = sys.argv[1]
directory     = sys.argv[2]

filesList = []
try:
   offset = 0
   allDone = False
   while not allDone:
      partialFilesList = tapisAPI.files.list(systemId=storageSystem,filePath=directory,offset=offset)
      filesList += partialFilesList
      offset += len(partialFilesList)
      if len(partialFilesList) == 0:
         allDone = True
except HTTPError as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write("\n")
except Exception as err:
   exitStatus = 1
   sys.stderr.write(str(err))
   sys.stderr.write("\n")
else:
#  print(filesList)
   if filesList:
      TapisAPI.printFileList(filesList,long_format=True)

sys.exit(exitStatus)
