import sys
import json

from TapisAPI import TapisAPI
from TapisAPI import HTTPError

exitStatus = 0

tapisAPI = TapisAPI()

systemId = sys.argv[1]
srcPath  = sys.argv[2]
destPath = sys.argv[3]

body = json.loads("""{
                       "action": "mkdir",
                       "path": "%s"
                     }
                  """ % (destPath))

try:
   mkdirResponse = tapisAPI.files.manage(systemId=systemId,filePath=srcPath,body=body)
except HTTPError as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write("\n")
except Exception as err:
   exitStatus = 1
   sys.stderr.write(str(err))
   sys.stderr.write("\n")
else:
   if mkdirResponse:
      print(mkdirResponse['status'])

sys.exit(exitStatus)
