#!/bin/sh
#
if [ $# -ne 3 ] ; then
   echo "usage: $0 storageSystemId existingPath appendedPath"
   exit 64
fi

binDirectory=$(dirname $(readlink -f $0))

storageSystemId=$1
existingPath=$2
appendedPath=$3

python3 ${binDirectory}/makeDirectory.py ${storageSystemId} ${existingPath} ${appendedPath}
exitStatus=$?

exit ${exitStatus}
