import sys

from TapisAPI import TapisAPI
from TapisAPI import HTTPError

exitStatus = 0

tapisAPI = TapisAPI()

systemId  = sys.argv[1]
directory = sys.argv[2]

try:
   removeDirectoryResponse = tapisAPI.files.delete(systemId=systemId,filePath=directory)
except HTTPError as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write("\n")
except Exception as err:
   exitStatus = 1
   sys.stderr.write(str(err))
   sys.stderr.write("\n")
else:
   if removeDirectoryResponse:
      print(removeDirectoryResponse)

sys.exit(exitStatus)
