import sys

from TapisAPI import TapisAPI
from TapisAPI import HTTPError

exitStatus = 0

tapisAPI = TapisAPI()

systemId = sys.argv[1]
filePath = sys.argv[2]

try:
   removeFileResponse = tapisAPI.files.delete(systemId=systemId,filePath=filePath)
except HTTPError as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write("\n")
except Exception as err:
   exitStatus = 1
   sys.stderr.write(str(err))
   sys.stderr.write("\n")
else:
   if removeFileResponse:
      print(removeFileResponse)

sys.exit(exitStatus)
