import sys
import os

from TapisAPI import TapisAPI
from TapisAPI import HTTPError

exitStatus = 0

tapisAPI = TapisAPI()

systemId      = sys.argv[1]
instanceToken = sys.argv[2]

filePath = os.path.join('JobInputs',"%s" % (instanceToken))

try:
   removeDirectoryResponse = tapisAPI.files.delete(systemId=systemId,filePath=filePath)
except HTTPError as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write("\n")
except Exception as err:
   exitStatus = 1
   sys.stderr.write(str(err))
   sys.stderr.write("\n")
else:
   if removeDirectoryResponse:
      print(removeDirectoryResponse)

sys.exit(exitStatus)
