
localJobId=${localJobId}
instanceId=${instanceId}
tarballInput=${tarballInput}
tarballInputTimeTransferred=${tarballInputTimeTransferred}

export DISPLAY=
for xdgenv in $(printenv | grep ^XDG_ | sed -e "s:=.*::") ; do
   unset ${xdgenv}
done

tar xf ${tarballInput}
tar xf ${tarballInputTimeTransferred}

rm -f ${tarballInput}
rm -f ${tarballInputTimeTransferred}

find . -type f -not -name md5sums.start -exec md5sum {} \; > md5sums.start

. ${localJobId}_${instanceId}.slurm

