import sys
import os
import json

exitStatus = 0

from TapisAPI import TapisAPI

tapisAPI = TapisAPI(authenticationMode='clientManager')

clientDefinitionFile = sys.argv[1]

with open(clientDefinitionFile,'r') as fpDefinition:
   clientDefinition = json.load(fpDefinition)

client = tapisAPI.clients.create(body=json.dumps(clientDefinition))

print("%-30s %s" % ("NAME","DESCRIPTION"))
print("----------------------------------------------------------------------------------------")
print("%-30s %s" % (client['name'],client['description']))

sys.exit(exitStatus)
