#!/bin/sh

if [ $# -ne 1 ] ; then
   echo usage: $0 instanceToken
   exit 64
fi

instanceToken=$1

binDirectory=$(dirname $(readlink -f $0))

remoteJobId=$(${binDirectory}/getUserRemoteJobId.sh ${instanceToken})
exitStatus=$?

if [ ${exitStatus} -eq 0 ] ; then
   python3 ${binDirectory}/getJob.py ${remoteJobId}
   exitStatus=$?
fi

exit ${exitStatus}
