import sys

from TapisAPI import TapisAPI
from TapisAPI import HTTPError

exitStatus = 0

tapisAPI = TapisAPI()

jobId = sys.argv[1]

try:
   jobStatus = tapisAPI.jobs.getStatus(jobId=jobId)
except HTTPError as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write("\n")
except Exception as err:
   exitStatus = 1
   sys.stderr.write(str(err))
   sys.stderr.write("\n")
else:
   print("%-45s %s" % ("ID","STATUS"))
   print("=========================================================")
   print("%-45s %s" % (jobStatus.id,jobStatus.status))

sys.exit(exitStatus)
