import sys
import json

from TapisAPI import TapisAPI
from TapisAPI import HTTPError

exitStatus = 0

tapisAPI = TapisAPI()

jobId = sys.argv[1]

body = json.loads("""{
                       "title": "AgavePy JobOperationRequest schema",
                       "action": "stop"
                     }
                  """)
#print(body)

try:
   job = tapisAPI.jobs.manage(body=body,jobId=jobId)
except HTTPError as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write("\n")
except Exception as err:
   exitStatus = 1
   sys.stderr.write(str(err))
   sys.stderr.write("\n")

sys.exit(exitStatus)
