import sys
import json

from TapisAPI import TapisAPI
from TapisAPI import HTTPError

exitStatus = 0

tapisAPI = TapisAPI()

jobId = sys.argv[1]

try:
   jobOutputs = tapisAPI.getJobOutputFilesList(jobId)
except HTTPError as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write("\n")
except Exception as err:
   exitStatus = 1
   sys.stderr.write(str(err))
   sys.stderr.write("\n")
else:
   if jobOutputs:
#     print(jobOutputs)
#     json.dump(jobOutputs,sys.stdout,
#               default=TapisAPI.encodeDatetimeToJson,
#               indent=3,separators=(',',':'))
#     sys.stdout.write("\n")
      TapisAPI.printFileList(jobOutputs,printKey='path',long_format=True)

sys.exit(exitStatus)
