import sys
import os

from TapisAPI import TapisAPI
from TapisAPI import HTTPError

exitStatus = 0

tapisAPI = TapisAPI()

localFile = sys.argv[1]
systemId  = sys.argv[2]
directory = sys.argv[3]

try:
   with open(localFile,'rb') as fp:
      uploadFileResponse = tapisAPI.files.importData(systemId=systemId,filePath=directory,
                                                     fileToUpload=fp,fileType='raw')
except HTTPError as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write("\n")
except Exception as err:
   exitStatus = 1
   sys.stderr.write(str(err))
   sys.stderr.write("\n")
else:
   if uploadFileResponse:
      print(uploadFileResponse['status'])

sys.exit(exitStatus)
