#!/bin/sh
#
if [ $# -ne 3 ] ; then
   echo "usage: $0 localFile storageSystemId remoteDirectory"
   exit 64
fi

binDirectory=$(dirname $(readlink -f $0))

localFile=$1
if [ ! -f ${localFile} ] ; then
   echo "${localFile} does not exist"
   exit 1
fi

storageSystemId=$2
remoteDirectory=$3

python3 ${binDirectory}/uploadFile.py ${localFile} ${storageSystemId} ${remoteDirectory}
exitStatus=$?

exit ${exitStatus}
